GET https://management.azure.com/providers/Microsoft.Compute/operations?api-version=2025-11-01
/**
* Samples for Operations List.
*/
public final class Main {
/*
* x-ms-original-file: 2025-11-01/computeRPCommonExamples/Operations_List_MaximumSet_Gen.json
*/
/**
* Sample code: Operations_List_MaximumSet_Gen.
*
* @param manager Entry point to ComputeManager.
*/
public static void operationsListMaximumSetGen(com.azure.resourcemanager.compute.ComputeManager manager) {
manager.serviceClient().getOperations().list(com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.compute import ComputeManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-compute
# USAGE
python operations_list_maximum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ComputeManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.operations.list()
for item in response:
print(item)
# x-ms-original-file: 2025-11-01/computeRPCommonExamples/Operations_List_MaximumSet_Gen.json
if __name__ == "__main__":
main()
package armcompute_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/compute/armcompute/v8"
)
// Generated from example definition: 2025-11-01/computeRPCommonExamples/Operations_List_MaximumSet_Gen.json
func ExampleOperationsClient_NewListPager_operationsListMaximumSetGen() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcompute.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewOperationsClient().NewListPager(nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcompute.OperationsClientListResponse{
// OperationListResult: armcompute.OperationListResult{
// Value: []*armcompute.OperationValue{
// {
// Origin: to.Ptr(armcompute.Origin("aaaaa")),
// Name: to.Ptr("aaaaaaaaaaaa"),
// Display: &armcompute.OperationDisplay{
// Operation: to.Ptr("aaaaaaaaaaaaaaaaaaaaaa"),
// Resource: to.Ptr("aaaaaaaaaaaaaaaaaaaaaaaaaaaaa"),
// Description: to.Ptr("aaaaaaaaaaaaaaaaaaaaaa"),
// Provider: to.Ptr("aaaaaaaaaaaaaaaaaa"),
// },
// },
// },
// },
// }
}
}
const { ComputeManagementClient } = require("@azure/arm-compute");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to list the operations for the provider
*
* @summary list the operations for the provider
* x-ms-original-file: 2025-11-01/computeRPCommonExamples/Operations_List_MaximumSet_Gen.json
*/
async function operationsListMaximumSetGen() {
const credential = new DefaultAzureCredential();
const client = new ComputeManagementClient(credential);
const resArray = new Array();
for await (const item of client.operations.list()) {
resArray.push(item);
}
console.log(resArray);
}
GET https://management.azure.com/providers/Microsoft.Compute/operations?api-version=2025-11-01
/**
* Samples for Operations List.
*/
public final class Main {
/*
* x-ms-original-file: 2025-11-01/computeRPCommonExamples/Operations_List_MinimumSet_Gen.json
*/
/**
* Sample code: Operations_List_MinimumSet_Gen.
*
* @param manager Entry point to ComputeManager.
*/
public static void operationsListMinimumSetGen(com.azure.resourcemanager.compute.ComputeManager manager) {
manager.serviceClient().getOperations().list(com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.compute import ComputeManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-compute
# USAGE
python operations_list_minimum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ComputeManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.operations.list()
for item in response:
print(item)
# x-ms-original-file: 2025-11-01/computeRPCommonExamples/Operations_List_MinimumSet_Gen.json
if __name__ == "__main__":
main()
package armcompute_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/compute/armcompute/v8"
)
// Generated from example definition: 2025-11-01/computeRPCommonExamples/Operations_List_MinimumSet_Gen.json
func ExampleOperationsClient_NewListPager_operationsListMinimumSetGen() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcompute.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewOperationsClient().NewListPager(nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcompute.OperationsClientListResponse{
// OperationListResult: armcompute.OperationListResult{
// },
// }
}
}
const { ComputeManagementClient } = require("@azure/arm-compute");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to list the operations for the provider
*
* @summary list the operations for the provider
* x-ms-original-file: 2025-11-01/computeRPCommonExamples/Operations_List_MinimumSet_Gen.json
*/
async function operationsListMinimumSetGen() {
const credential = new DefaultAzureCredential();
const client = new ComputeManagementClient(credential);
const resArray = new Array();
for await (const item of client.operations.list()) {
resArray.push(item);
}
console.log(resArray);
}
Localized display information for this particular operation.
isDataAction
boolean
Whether the operation applies to data-plane. This is "true" for data-plane operations and "false" for ARM/control-plane operations.
name
string
The name of the operation, as per Resource-Based Access Control (RBAC). Examples: "Microsoft.Compute/virtualMachines/write", "Microsoft.Compute/virtualMachines/capture/action"